GLM: GLM_GTX_norm

GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_norm
GTX Extensions (Experimental)

## Functions
template<typename T >
T | distance2 (T const &p0, T const &p1)
template<typename genType >
genType::value_type | distance2 (genType const &p0, genType const &p1)
template<typename T , precision P>
T | l1Norm (detail::tvec3< T, P > const &x, detail::tvec3< T, P > const &y)
template<typename T , precision P>
T | l1Norm (detail::tvec3< T, P > const &v)
template<typename T , precision P>
T | l2Norm (detail::tvec3< T, P > const &x, detail::tvec3< T, P > const &y)
template<typename T , precision P>
T | l2Norm (detail::tvec3< T, P > const &x)
template<typename T >
T | length2 (T const &x)
template<typename genType >
genType::value_type | length2 (genType const &x)
template<typename T , precision P>
T | lxNorm (detail::tvec3< T, P > const &x, detail::tvec3< T, P > const &y, unsigned int Depth)
template<typename T , precision P>
T | lxNorm (detail::tvec3< T, P > const &x, unsigned int Depth)

## Detailed Description

Various ways to compute vector norms.

<glm/gtx/norm.hpp> need to be included to use these functionalities.

## Function Documentation

T glm::distance2 | ( | T const & | p0,
|  | T const & | p1
| ) |  |

Returns the squared distance between p0 and p1, i.e., length(p0 - p1).

From GLM_GTX_norm extension.

genType::value_type glm::distance2 | ( | genType const & | p0,
|  | genType const & | p1
| ) |  |

Returns the squared distance between p0 and p1, i.e., length(p0 - p1).

From GLM_GTX_norm extension.

T glm::l1Norm | ( | detail::tvec3< T, P > const & | x,
|  | detail::tvec3< T, P > const & | y
| ) |  |

Returns the L1 norm between x and y.

From GLM_GTX_norm extension.

T glm::l1Norm | ( | detail::tvec3< T, P > const & | v | ) |

Returns the L1 norm of v.

From GLM_GTX_norm extension.

T glm::l2Norm | ( | detail::tvec3< T, P > const & | x,
|  | detail::tvec3< T, P > const & | y
| ) |  |

Returns the L2 norm between x and y.

From GLM_GTX_norm extension.

T glm::l2Norm | ( | detail::tvec3< T, P > const & | x | ) |

Returns the L2 norm of v.

From GLM_GTX_norm extension.

T glm::length2 | ( | T const & | x | ) |

Returns the squared length of x.

From GLM_GTX_norm extension.

genType::value_type glm::length2 | ( | genType const & | x | ) |

Returns the squared length of x.

From GLM_GTX_norm extension.

T glm::lxNorm | ( | detail::tvec3< T, P > const & | x,
|  | detail::tvec3< T, P > const & | y,
|  | unsigned int | Depth
| ) |  |

Returns the L norm between x and y.

From GLM_GTX_norm extension.

T glm::lxNorm | ( | detail::tvec3< T, P > const & | x,
|  | unsigned int | Depth
| ) |  |

Returns the L norm of v.

From GLM_GTX_norm extension.